Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003110TestLinkTest Specificationpublic2010-01-28 22:232011-07-02 13:49
Reporteralbertdebruijn 
Assigned ToJulian 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 1 
Fixed in Version1.9.3 (2011 Q3 - bug fixing) 
Summary0003110: Show Testcase newest version must have clickable TC and compare
DescriptionOnce the newest versions of TC's are shown, they must be clickable, and/or have version compare in this report.
This in order to decide to upgrade to the later version
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFF 3.5.6
PHP Version5.2.3
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0008852)
Julian (reporter)
2010-01-28 23:31

I agree.

Use Case would be:

1. Click MainPage->Update Linked Test Case Versions
2. Click "Bulk Update to latest verion"
3. Click Test Case name
4. Popup containing test case comes up
5. On Popup compare is possible

-> Only thing to do:
Make test case names clickable
(0008876)
fman (administrator)
2010-01-29 21:27
edited on: 2010-01-29 21:28

Disagree, use first version compare and then go here to do this works. adding lot of 'cross-linking' i.e. pages that can be launched from multiple locations makes interface clumsy.
IMHO User need to implement a better work process

Second issue:
@Reporter: less time you use to explain in detail what is missing feature, worst will be priority on our task list.
We can do not start work only with two sentences ad requirement.

(0014660)
Julian (reporter)
2011-04-15 16:46

test case version compare has been implemented for test specification.
Feature might be adapted for this purpose (lib/testcases/tcCompareVersions.php)

Contributions welcome.
(0015323)
Julian (reporter)
2011-06-26 09:09

Comparison is now possible for Bulk update to latest version and on "Show newest Test Case Versions" page

Branch 1.9
http://gitorious.org/testlink-ga/testlink-code/commit/0ea02b653aed7f5b9e458ba1d883b3e9580c79af [^]

Master:
http://gitorious.org/testlink-ga/testlink-code/commit/276ad1420c961659b030c6b3cb1fb759b4e14060 [^]
(0015324)
Julian (reporter)
2011-06-26 09:58

Also added an edit icon that allows to open test specification page in popup window by clicking on it.

Branch 1.9:
http://gitorious.org/testlink-ga/testlink-code/commit/3334f7362cb75d87034486d01aa13514a76088bf [^]

Master:
http://gitorious.org/testlink-ga/testlink-code/commit/15d972eedc897dccdc6074f485cf98c080f1ea77 [^]
(0015325)
Julian (reporter)
2011-06-26 10:01

Comprison is now always done in "HTML Compare" Mode.
If "HTML Code Compare" Mode including "Context" is needed please create another issue. This will require to add some config parameters.
(0015423)
fman (administrator)
2011-07-02 13:49

1.9.3 released

- Issue History
Date Modified Username Field Change
2010-01-28 22:23 albertdebruijn New Issue
2010-01-28 22:23 albertdebruijn Browser => FF 3.5.6
2010-01-28 22:23 albertdebruijn PHP Version => 5.2.3
2010-01-28 23:31 Julian Note Added: 0008852
2010-01-29 21:27 fman Note Added: 0008876
2010-01-29 21:28 fman Note Edited: 0008876
2011-04-15 16:46 Julian Note Added: 0014660
2011-06-26 08:37 Julian Assigned To => Julian
2011-06-26 08:37 Julian Status new => assigned
2011-06-26 09:09 Julian Note Added: 0015323
2011-06-26 09:09 Julian Status assigned => resolved
2011-06-26 09:09 Julian Fixed in Version => 1.9.3 (2011 Q3 - bug fixing)
2011-06-26 09:09 Julian Resolution open => fixed
2011-06-26 09:58 Julian Note Added: 0015324
2011-06-26 10:01 Julian Note Added: 0015325
2011-07-02 13:49 fman Note Added: 0015423
2011-07-02 13:49 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker